| Home | Libraries | People | FAQ | More

###### field::operator= (22 of 30 overloads)

Replaces `*this` with `v`, changing the kind to `string` and destroying any previous contents.

###### Synopsis

    field&
    operator=(
        string_view v);

###### Exception safety

Basic guarantee. Internal allocations may throw.

###### Object lifetimes

Invalidates references obtained by as_xxx and get_xxx functions, but not the ones obtained by `.\ifile/root/project/libs/mysql/include/boost/mysql/field.hpp`